cascading.flow.planner.iso.expression

## Class ElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression

- All Implemented Interfaces:
    Expression<FlowElement>
  Direct Known Subclasses:
    AndElementExpression, AnnotationExpression, NotElementExpression, OrElementExpression, PlannerLevelElementExpression, TypeExpression

      public abstract class ElementExpression
      extends java.lang.Object
      implements Expression<FlowElement>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ElementExpression()`
    `protected` | `ElementExpression(ElementCapture capture)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementCapture` | `getCapture()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.iso.expression.Expression

      `applies`

- - ### Constructor Detail

    - #### ElementExpression

          protected ElementExpression()

    - #### ElementExpression

          protected ElementExpression(ElementCapture capture)

  - ### Method Detail

    - #### getCapture

          public ElementCapture getCapture()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.